| dcsub Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
Overview

## Functions
void | XDcDma_CfgInitialize (XDcDma *InstancePtr, u32 BaseAddr)
| This function initializes the configuration for the DcDma Instance. More...
void | XDcDma_WriteProtEnable (XDcDma *InstancePtr)
| This function enables the write protection for DCDMA registers. More...
void | XDcDma_WriteProtDisable (XDcDma *InstancePtr)
| This function disables the write protection for DCDMA registers. More...
u32 | XDCDma_GetWriteProt (XDcDma *InstancePtr)
| This function programs the DPDMA_GLBL register with trigger channels. More...
void | XDcDma_SetDescDelay (XDcDma *InstancePtr, XDcDma_ChannelId Id, u16 Val)
| This function programs the Desc Delay for required channel. More...
void | XDcDma_SetDataQoS (XDcDma *InstancePtr, XDcDma_ChannelType Channel, u8 Val)
| This function programs the data QoS for a channel. More...
void | XDcDma_SetDescQoS (XDcDma *InstancePtr, XDcDma_ChannelType Channel, u8 Val)
| This function programs the DPDMA_GLBL register with trigger channels. More...
void | XDcDma_SetAxCache (XDcDma *InstancePtr, XDcDma_ChannelId Id, u8 Val)
| This function programs the Ax Cache register for specific channel. More...
void | XDcDma_SetAxProt (XDcDma *InstancePtr, XDcDma_ChannelId Id, u8 Val)
| This function programs the AxProt register for specific channel. More...
u32 | XDcDma_ConfigChannelState (XDcDma *InstancePtr, XDcDma_ChannelId Id, XDcDma_State Enable)
| This function programs the channel state as enable, disable or idle. More...
u32 | XDcDma_WaitPendingTransaction (XDcDma *InstancePtr, XDcDma_ChannelId Id)
| This function checks for any pending transactions for a given channel. More...
u32 | XDCDma_GetOutstandingTxn (XDcDma *InstancePtr, XDcDma_ChannelId Id)
| This function programs the DPDMA_GLBL register with trigger channels. More...
void | XDcDma_InterruptEnable (XDcDma *InstancePtr, u32 Mask)
| This function enables the interrupt. More...
void | XDcDma_InterruptDisable (XDcDma *InstancePtr, u32 Mask)
| This function disables the interrupt. More...
u32 | XDcDma_SetCallBack (XDcDma *InstancePtr, XDcDma_IntHandlerType HandlerType, void *CallbackFunc, void *CallbackRef)
| This function sets the callback for different interrupt handlers. More...
u32 | XDcDma_Trigger (XDcDma *InstancePtr, XDcDma_ChannelType Channel)
| This function programs the DPDMA_GLBL register with trigger channels. More...
u32 | XDcDma_ReTrigger (XDcDma *InstancePtr, XDcDma_ChannelType Channel)
| This function programs the DPDMA_GLBL register with retrigger channels. More...
void | XDcDma_InterruptHandler (XDcDma *InstancePtr)
| This function calls the VsyncInterrupt Handler. More...
void | XDcDma_VSyncHandler (XDcDma *InstancePtr)
| This function services the VsyncInterrupt. More...
void | XDcDma_SetupChannel (XDcDma *InstancePtr, XDcDma_ChannelType Channel)
| This function sets the descriptor address for each video stream. More...
void | XDcDma_DescInit (XDcDma_Descriptor *XDesc)
| This function creates the descriptor for the DcDma Instance. More...
u32 | XDcDma_GetNewDescId (XDcDma *InstancePtr)
| This function incremeants the LastDescId of DcDma Instance. More...

## Function Documentation

void XDcDma_CfgInitialize | ( | XDcDma * | InstancePtr,
|  | u32 | BaseAddr
| ) |  |

This function initializes the configuration for the DcDma Instance.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  BaseAddr | sets the base address of the DcDma instance

Returns
  None.

Note
  Base address and DeviceId is same as the Dc Timing driver.

u32 XDcDma_ConfigChannelState | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelId | Id,
|  | XDcDma_State | Enable
| ) |  |

This function programs the channel state as enable, disable or idle.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  ChannelId | is channel to configure
  Enable | sets the channel state.

Returns
  XST_SUCCESS or XST_FAILURE.

References XDCDMA_CH0_CNTL, XDcDma_ConfigChannelState(), XDcDma_ReadModifyWrite, and XDcDma_WaitPendingTransaction().

Referenced by XDcDma_ConfigChannelState(), and XDcDma_VSyncHandler().

void XDcDma_DescInit | ( | XDcDma_Descriptor * | XDesc | ) |

This function creates the descriptor for the DcDma Instance.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  None.

u32 XDcDma_GetNewDescId | ( | XDcDma * | InstancePtr | ) |

This function incremeants the LastDescId of DcDma Instance.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  Updated LastDescId.

References XDcDma::LastDescId.

u32 XDCDma_GetOutstandingTxn | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelId | Id
| ) |  |

This function programs the DPDMA_GLBL register with trigger channels.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  Channel | Id is channel number.

Returns
  XST_SUCCESS or XST_FAILURE.

References XDCDMA_CH0_STATUS, and XDcDma_ReadReg.

Referenced by XDcDma_WaitPendingTransaction().

u32 XDCDma_GetWriteProt | ( | XDcDma * | InstancePtr | ) |

This function programs the DPDMA_GLBL register with trigger channels.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  XST_SUCCESS or XST_FAILURE.

References XDcDma_ReadReg, and XDCDMA_WPROTS.

void XDcDma_InterruptDisable | ( | XDcDma * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function disables the interrupt.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  None.

References XDCDMA_MISC_IDR, and XDcDma_WriteReg.

void XDcDma_InterruptEnable | ( | XDcDma * | InstancePtr,
|  | u32 | Mask
| ) |  |

This function enables the interrupt.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  Mask | is interrupt to unmask.

Returns
  None.

References XDCDMA_MISC_IER, XDCDMA_MISC_ISR, and XDcDma_WriteReg.

void XDcDma_InterruptHandler | ( | XDcDma * | InstancePtr | ) |

This function calls the VsyncInterrupt Handler.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  None.

References XDCDMA_MISC_ISR, XDcDma_ReadReg, and XDcDma_VSyncHandler().

u32 XDcDma_ReTrigger | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelType | Channel
| ) |  |

This function programs the DPDMA_GLBL register with retrigger channels.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  XST_SUCCESS or XST_FAILURE.

References XDCDMA_GBL, and XDcDma_WriteReg.

Referenced by XDcDma_VSyncHandler().

void XDcDma_SetAxCache | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelId | Id,
|  | u8 | Val
| ) |  |

This function programs the Ax Cache register for specific channel.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  ChannelId | is channel number.
  Val | to configure.

Returns
  None.

References XDCDMA_CH0_CNTL, and XDcDma_ReadModifyWrite.

void XDcDma_SetAxProt | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelId | Id,
|  | u8 | Val
| ) |  |

This function programs the AxProt register for specific channel.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  ChannelId | is channel number.
  Val | to configure.

Returns
  None.

References XDCDMA_CH0_CNTL, and XDcDma_ReadModifyWrite.

u32 XDcDma_SetCallBack | ( | XDcDma * | InstancePtr,
|  | XDcDma_IntHandlerType | HandlerType,
|  | void * | CallbackFunc,
|  | void * | CallbackRef
| ) |  |

This function sets the callback for different interrupt handlers.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  XST_SUCCESS or XST_FAILURE.

void XDcDma_SetDataQoS | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelType | Channel,
|  | u8 | Val
| ) |  |

This function programs the data QoS for a channel.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  ChannelType | is channel number.
  Val | to configure.

Returns
  None.

References XDCDMA_CH0_CNTL, and XDcDma_ReadModifyWrite.

void XDcDma_SetDescDelay | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelId | Id,
|  | u16 | Val
| ) |  |

This function programs the Desc Delay for required channel.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  Channel | ID
  Val | specifies desc delay

Returns
  None.

References XDCDMA_CH0_CNTL, and XDcDma_ReadModifyWrite.

void XDcDma_SetDescQoS | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelType | Channel,
|  | u8 | Val
| ) |  |

This function programs the DPDMA_GLBL register with trigger channels.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  ChannelType | is channel number.
  Val | to configure.

Returns
  None.

References XDCDMA_CH0_CNTL, and XDcDma_ReadModifyWrite.

void XDcDma_SetupChannel | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelType | Channel
| ) |  |

This function sets the descriptor address for each video stream.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  Channel | type

Returns
  None.

Referenced by XDcDma_VSyncHandler().

u32 XDcDma_Trigger | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelType | Channel
| ) |  |

This function programs the DPDMA_GLBL register with trigger channels.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  XST_SUCCESS or XST_FAILURE.

Referenced by XDcDma_VSyncHandler().

void XDcDma_VSyncHandler | ( | XDcDma * | InstancePtr | ) |

This function services the VsyncInterrupt.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  None.

References XDcDma_ConfigChannelState(), XDCDMA_GBL, XDCDMA_MISC_ISR, XDcDma_ReTrigger(), XDcDma_SetupChannel(), XDcDma_Trigger(), and XDcDma_WriteReg.

Referenced by XDcDma_InterruptHandler().

u32 XDcDma_WaitPendingTransaction | ( | XDcDma * | InstancePtr,
|  | XDcDma_ChannelId | Id
| ) |  |

This function checks for any pending transactions for a given channel.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.
  Channel | Id is channel number

Returns
  XST_SUCCESS or XST_FAILURE.

References XDCDma_GetOutstandingTxn().

Referenced by XDcDma_ConfigChannelState().

void XDcDma_WriteProtDisable | ( | XDcDma * | InstancePtr | ) |

This function disables the write protection for DCDMA registers.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  None.

References XDCDMA_WPROTS, and XDcDma_WriteReg.

void XDcDma_WriteProtEnable | ( | XDcDma * | InstancePtr | ) |

This function enables the write protection for DCDMA registers.

Parameters

  InstancePtr | is a pointer to the XDcDma instance.

Returns
  None.

References XDCDMA_WPROTS, and XDcDma_WriteReg.